# openstack.dns.v2.quota

## The Quota Class

The `Quota` class inherits from `Resource`.

class openstack.dns.v2.quota.Quota(_synchronized=False, connection=None, **attrs)

  DNS Quota Resource

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/quotas'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  commit_method = 'PATCH'

    Method for committing a resource (PUT, PATCH, POST)

  project

    The ID of the project.

  api_export_size

    The maximum amount of recordsets allowed in a zone export. Type: int

  recordset_records

    The maximum amount of records allowed per recordset. Type: int

  zone_records

    The maximum amount of records allowed per zone. Type: int

  zone_recordsets

    The maximum amount of recordsets allowed per zone. Type: int

  zones

    The maximum amount of zones allowed per project. Type: int

  fetch(session, requires_id=True, base_path=None, error_message=None, skip_cache=False, *, resource_response_key=None, microversion=None, **params)

    Get a remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - requires_id (boolean) – A boolean indicating whether resource ID should be part of the requested URI.

      - base_path (str) – Base part of the URI for fetching resources, if different from `base_path`.

      - error_message (str) – An Error message to be returned if requested object does not exist.

      - skip_cache (bool) – A boolean indicating whether optional API cache should be skipped for this invocation.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing the response body.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional parameters that can be consumed.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_fetch` is not set to `True`.

    Raises:

      `NotFoundException` if the resource was not found.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.